| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::FrameOsdSettings Class Reference

## Public Member Functions
void | readSettings (const KConfigGroup &group)
| Read and write settings in config file between sessions.
void | writeSettings (KConfigGroup &group)

## Public Attributes
QFont | osdFont = QFontDatabase::systemFont(QFontDatabase::GeneralFont)
| Font for the display of osd text.
bool | printApertureFocal = false
| Print camera Aperture and Focal while streaming.
bool | printCapIfNoTitle = false
| Print image captions if no title available while streaming.
bool | printComment = false
| Print picture comment while streaming.
bool | printDate = true
| Print picture creation date while streaming.
bool | printExpoSensitivity = false
| Print camera Exposure and Sensitivity while streaming.
bool | printLensModel = false
| Print camera Lens model while streaming.
bool | printMakeModel = false
| Print camera Make and Model while streaming.
bool | printName = true
| Print picture file name while streaming.
bool | printRating = false
| Print rating while streaming.
bool | printTags = false
| Print tags title while streaming.
bool | printTitle = false
| Print image title while streaming.